EMF::EMRPOLYBEZIERTO(3)

NAME
EMF::EMRPOLYBEZIERTO - EMF PolyBezierTo.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMF::EMRPOLYBEZIER.

  Public Member Functions

EMRPOLYBEZIERTO (const RECTL *bounds, const POINT *points, INT n)
EMRPOLYBEZIERTO (DATASTREAM &ds)
~EMRPOLYBEZIERTO ()
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF PolyBezierTo.

Draw a polygonal Bezier curve to (what?)

Constructor & Destructor Documentation

  EMF::EMRPOLYBEZIERTO::EMRPOLYBEZIERTO (const RECTL * bounds, const POINT * points, INT n) [inline]

Parameters
    bounds overall bounding box of polybezier curve.
    points array of polybezier vertices.
    n number of vertices in points.

  EMF::EMRPOLYBEZIERTO::EMRPOLYBEZIERTO (DATASTREAM & ds) [inline]
Construct a PolyBezier record from the input stream.

Parameters
    ds Metafile datastream.

  EMF::EMRPOLYBEZIERTO::~EMRPOLYBEZIERTO () [inline]
Destructor frees a copy of the points it buffered.

Member Function Documentation

  void EMF::EMRPOLYBEZIERTO::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRPOLYBEZIERTO::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRPOLYBEZIERTO::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.